﻿using Syncfusion.SfDataGrid.XForms;
using System;
using Syncfusion.Data;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;

namespace SfDataGrid_Sample
{
    public partial class Page1 : ContentPage
    {
        public Page1()
        {
            InitializeComponent();
            this.dataGrid.GroupColumnDescriptions.Add(new GroupColumnDescription() { ColumnName = "OrderID" });

            this.dataGrid.GridViewCreated += DataGrid_GridViewCreated;
            this.dataGrid.QueryRowDragging += DataGrid_QueryRowDragging;
        }

        private async void DataGrid_QueryRowDragging(object sender, QueryRowDraggingEventArgs e)
        {
            if (e.Reason == QueryRowDraggingReason.DragEnded)
            {
                // Delay is given for refreshing the view.
                await Task.Delay(100);
                this.dataGrid.View.TopLevelGroup.UpdateCaptionSummaries();
                this.dataGrid.View.Refresh();
            }
        }

        private void DataGrid_GridViewCreated(object sender, GridViewCreatedEventArgs e)
        {
            dataGrid.View.LiveDataUpdateMode = LiveDataUpdateMode.AllowSummaryUpdate;
        }
    }
}
